#19 patch for ruby-1.9.1

open
nobody
None
5
2009-09-15
2009-09-15
hbekel
No

This patch is required to build rudl with ruby 1.9.1 (p243). (along with the gcc4 patch from #1670574)

Changes:
RARRAY(foo)->len becomes RARRAY_LEN(foo),
RSTRING(foo)->len becomes RSTRING_LEN(foo),
RSTRING(foo)->ptr becomes RSTRING_PTR(foo)

I've tested this with my own little rudl game and it works fine so far.

Discussion

  • hbekel
    hbekel
    2009-09-15

    patch for ruby-1.9.1

     
    Attachments